KIO::DeleteJob class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIO::DeleteJob Class Reference

`#include <jobclasses.h>`

Inheritance diagram for KIO::DeleteJob:

[legend]
Collaboration diagram for KIO::DeleteJob:

[legend]
List of all members.

## Signals
void | totalFiles (KIO::Job *, unsigned long files)
void | totalDirs (KIO::Job *, unsigned long dirs)
void | processedFiles (KIO::Job *, unsigned long files)
void | processedDirs (KIO::Job *, unsigned long dirs)
void | deleting (KIO::Job *, const KURL &file)
## Public Member Functions
| DeleteJob (const KURL::List &src, bool shred, bool showProgressInfo)
KURL::List | urls () const
## Protected Slots
void | slotStart ()
void | slotEntries (KIO::Job *, const KIO::UDSEntryList &list)
virtual void | slotResult (KIO::Job *job)
| Called whenever a subjob finishes.
void | slotProcessedSize (KIO::Job *, KIO::filesize_t data_size)
| Forward signal from subjob.
void | slotReport ()
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A more complex Job to delete files and directories.

Definition at line 1036 of file jobclasses.h.

## Member Function Documentation

void DeleteJob::slotResult | ( | KIO::Job * | job | ) | `[protected, virtual, slot]`

| Called whenever a subjob finishes. Default implementation checks for errors and propagates to parent job, then calls removeSubjob. Override if you don't want subjobs errors to be propagated. Reimplemented from KIO::Job. Definition at line 3268 of file job.cpp. References KIO::Job::addSubjob(), QValueList< KURL >::append(), QValueList::begin(), QObject::connect(), KURL::directory(), QValueList::end(), KIO::Job::error(), QPtrList< Job >::isEmpty(), KURL::isLocalFile(), KIO::listRecursive(), KURL::path(), QPtrList< Job >::remove(), KIO::UDS_FILE_TYPE, KIO::UDS_LINK_DEST, KIO::UDS_SIZE, KIO::UDSEntry, and KURL::url().

void DeleteJob::slotProcessedSize | ( | KIO::Job * | ,
|  | KIO::filesize_t | data_size
| ) | `[protected, slot]`

| Forward signal from subjob. Definition at line 3240 of file job.cpp. References KIO::Job::percent(), and KIO::Job::processedSize().

The documentation for this class was generated from the following files:

- jobclasses.h
- job.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:25:55 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001